Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.interceptor
Interface InterceptorManager

public interface InterceptorManager

InterceptorManager interface. It is responsible to handle the registration, unregistration and invocation of the interceptors.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`List` | `getInterceptors(InterceptionPoint ip)` Returns the list of interceptors available at the given position.
`void` | `register(Interceptor interceptor, InterceptionPoint ip, int index)` Registers an interceptor at a given index and position.
`void` | `unregister(Interceptor interceptor, InterceptionPoint ip)` Unregisters an interceptor.
`void` | `update()` Updates the current interceptors with any changes that have been made since the last call to update().

Method Detail

### getInterceptors

    public List getInterceptors(InterceptionPoint ip)

  Returns the list of interceptors available at the given position.

  Parameters:
    `ip` - The interception point to get the interceptors
  Returns:
    The interceptors found at the given position

### register

    public void register(Interceptor interceptor,
                         InterceptionPoint ip,
                         int index)

  Registers an interceptor at a given index and position. The index indicates where the interceptor will be located in the flow of interceptors for a given position. The index can be any positive (MAX_INT) or negative integer (MIN_INT): the interceptors will be executed from the lowest to the biggest index. Note: the method update() must be called for this action to take effect

  Parameters:
    `interceptor` - The interceptor to register
    `ip` - The interception point of the request at which the interceptor should be invoked
    `index` - The index where the interceptor will be located in the flow

### unregister

    public void unregister(Interceptor interceptor,
                           InterceptionPoint ip)

  Unregisters an interceptor. Note: the method update() must be called for this action to take effect

  Parameters:
    `interceptor` - The interceptor to unregister
    `ip` - The interception point of the request at which the interceptor should be invoked

### update

    public void update()

  Updates the current interceptors with any changes that have been made since the last call to update().

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD